<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.BatchDetailsMapper">

  <resultMap id="batchDetailsMap" type="digital.laboratory.platform.reagent.entity.BatchDetails">
    <id property="batchDetailsId" column="batch_details_id"/>
    <result property="batch" column="batch"/>
    <result property="batchNumber" column="batch_number"/>
    <result property="complianceTestSituation" column="compliance_test_situation"/>
    <result property="dateOfLastCheck" column="date_of_last_check"/>
    <result property="dateOfProduction" column="date_of_production"/>
    <result property="deviationOrUncertainty" column="deviation_or_uncertainty"/>
    <result property="expirationDate" column="expiration_date"/>
    <result property="fixedResult" column="fixed_result"/>
    <result property="number" column="number"/>
    <result property="purchaseTime" column="purchase_time"/>
    <result property="quantity" column="quantity"/>
    <result property="reagentConsumableInventoryId" column="reagent_consumable_inventory_id"/>
    <result property="serviceStatus" column="service_status"/>
    <result property="supplierId" column="supplier_id"/>
    <result property="warningValue" column="warning_value"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>

  </resultMap>
</mapper>
